# whitman-correspondence
Data Repo | Whitman Correspondence TEI

This repo shares its Ruby gem dependencies with all other Whitman data
repos via the
[Gemfile](https://github.com/whitmanarchive/whitman-scripts/blob/main/Gemfile)
in the [whitman-scripts
repo](https://github.com/whitmanarchive/whitman-scripts)

[<em>The Walt Whitman Archive</em>](http://whitmanarchive.org/) endeavors to make Whitman's vast work freely and conveniently accessible to scholars, students, and general readers. Whitman's major life work, <em>Leaves of Grass</em>, went through six very different editions, each of which was issued in a number of formats, creating a book that is probably best studied as numerous distinct creations rather than as a single revised work. His many other writings—varied and significant—include fiction, notebooks, manuscript fragments, prose essays, letters, marginalia, and voluminous journalistic articles. Drawing on the resources of libraries and collections from around the world, the <em>Whitman Archive</em> is the most comprehensive record of works by and about Whitman—and continues to grow. The <em>Archive</em> is directed by Kenneth M. Price (University of Nebraska–Lincoln) and Ed Folsom (University of Iowa), with ongoing contributions from many other editor-scholars, students, information professionals, and technologists.

The <em>Walt Whitman Archive</em> data repositories include the base TEI/XML files that comprise several sections of the <em>Whitman Archive</em>.  All XML for a given section is available in the "tei" directory.  Other directories contain materials related to the process of indexing the files in SOLR and work in combination with the University of Nebraska-Lincoln Center for Digital Research in the Humanities tool, [Datura](https://github.com/CDRH/datura). For more information about the <em>Walt Whitman Archive</em>, including encoding guidelines and editorial policy statements, see [About the <em>Whitman Archive</em>](http://whitmanarchive.org/about/index.html).

**NOTE**: TEI should not be updated in this repository except on a file by file basis from `biography/correspondence/tei`. `notes.xml` should be moved from the `source/tei` directory to `source/annotations`.

